## gkrellm-mailwatch 0.7.2

=== Makefile ===
# Makefile for the GKrellM mailwatch plugin

GTK_CONFIG ?=gtk-config
IMLIB_CONFIG ?=imlib-config

GTK_INCLUDE = `$(GTK_CONFIG) --cflags`
GTK_LIB = `$(GTK_CONFIG) --libs`

GKRELLM_INCLUDE= -I/usr/local/include

IMLIB_INCLUDE = `$(IMLIB_CONFIG) --cflags-gdk`
IMLIB_LIB = `$(IMLIB_CONFIG) --libs-gdk`

INSTALL=install -c -m 755

CFLAGS += -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE) $(GKRELLM_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB)
LFLAGS += -shared

OBJS = mailwatch.o

all: mailwatch.so

mailwatch.so: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o mailwatch.so $(LFLAGS) $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~
install: mailwatch.so
	$(INSTALL) -d /usr/local/lib/gkrellm/plugins
	$(INSTALL) mailwatch.so /usr/local/lib/gkrellm/plugins

mailwatch.c.o: mailwatch.c

## gkrellm-mailwatch 2.4.3

=== Makefile ===
# Makefile for the GKrellM mailwatch plugin

GTK_CONFIG ?=pkg-config gtk+-2.0
PLUGIN_DIR ?=/usr/local/lib/gkrellm2/plugins

GTK_INCLUDE = `$(GTK_CONFIG) --cflags`
GTK_LIB = `$(GTK_CONFIG) --libs`

GKRELLM_INCLUDE= -I/usr/local/include

INSTALL=install -c -m 755

CFLAGS += -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE) $(GKRELLM_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB)
LFLAGS += -shared

LOCALEDIR := $(DESTDIR)/usr/share/locale
PACKAGE ?= gkrellm-mailwatch

ifeq ($(enable_nls),1)
    CFLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
    export enable_nls
endif
CFLAGS += -DPACKAGE="\"$(PACKAGE)\""
export PACKAGE LOCALEDIR

OBJS = mailwatch.o

all: mailwatch.so

mailwatch.so: $(OBJS)
	(cd po && ${MAKE})
	$(CC) $(CFLAGS) $(OBJS) -o mailwatch.so $(LFLAGS) $(LIBS)

clean:
	(cd po && ${MAKE} clean )
	rm -f *.o core *.so* *.bak *~
install: mailwatch.so
	(cd po && ${MAKE} install )
	$(INSTALL) -d $(PLUGIN_DIR)
	$(INSTALL) mailwatch.so $(PLUGIN_DIR) 

mailwatch.c.o: mailwatch.c

=== po/Makefile ===
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
PACKAGE ?= gkrellm-mailwatch

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== debian/changelog ===
gkrellm-mailwatch (2.4.3-3) unstable; urgency=medium

  * Make package cross-buildable. Closes: #1029081
  * Fix data type mismatch reported by GCC-14. Closes: #1075002

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 04 Aug 2024 17:24:50 +0200

gkrellm-mailwatch (2.4.3-2) unstable; urgency=medium

  * Take maintainership. Thanks Sjoerd Simons for handing over.
    Closes: #1001970
  * Modernize packaging. Closes: #968241, #999256

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 02 Jan 2022 21:35:36 +0100

gkrellm-mailwatch (2.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Declare debhelper compat level, bump to 10. Closes: #800297

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 16 Dec 2016 22:07:15 +0100

gkrellm-mailwatch (2.4.3-1) unstable; urgency=low

  * New upstream release
    - Fixes miscounts of mail in mbox, patch from Lionel Elie Mamane
      (closes: Bug#249418)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 17 May 2004 21:06:52 +0200

gkrellm-mailwatch (2.4.2-1) unstable; urgency=low

  * New upstream release
    - Fixes bug which caused new mailpanels not te be added (closes: Bug#193380)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 16 Jun 2003 19:26:41 +0200

gkrellm-mailwatch (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  6 May 2003 22:28:03 +0200

gkrellm-mailwatch (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Apr 2003 16:29:21 +0200

gkrellm-mailwatch (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 26 Mar 2003 09:00:21 +0100

gkrellm-mailwatch (2.3.0-1) unstable; urgency=low

  * New upstream release
    - Ability to change checking frequency (closes:Bug#180090)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 19 Mar 2003 14:54:40 +0100

gkrellm-mailwatch (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 26 Jan 2003 19:24:25 +0100

gkrellm-mailwatch (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 25 Jan 2003 14:11:55 +0100

gkrellm-mailwatch (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Jan 2003 19:03:52 +0100

gkrellm-mailwatch (2.1.0-1) unstable; urgency=low

  * gkrellm moved to gkrellm 2.x. Moving this to the gkrellm 2 version and
    obsoleting gkrellm-mailwatch2

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Jan 2003 16:48:39 +0100

gkrellm-mailwatch (0.7.2-4) unstable; urgency=low

  * Backported maildir fix from gkrellm-mailwatch 2.1 (closes: Bug#169887)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  3 Dec 2002 15:35:48 +0100

gkrellm-mailwatch (0.7.2-3) unstable; urgency=low

  * Updated Build-Depends (closes: Bug#170122)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 22 Nov 2002 11:24:55 +0100

gkrellm-mailwatch (0.7.2-2) unstable; urgency=low

  * Changed build-depends to gdk-imlib1-dev instead of gdk-imlib-dev at
    request of Steve M. Robbins <smr@debian.org>
  * DH_COMPAT changed from 1 to 3
  * Using standards version 3.5.7

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  3 Sep 2002 20:48:05 +0200

gkrellm-mailwatch (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 26 Oct 2001 11:44:21 +0200

gkrellm-mailwatch (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: Bug#104153)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  9 Oct 2001 19:00:35 +0200

gkrellm-mailwatch (0.7-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 22 Sep 2001 13:40:13 +0200

gkrellm-mailwatch (0.6-2) unstable; urgency=low

  * new upstream fixed this bug, forgot to close it (closes: Bug#101657)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Jun 2001 22:19:18 +0200

gkrellm-mailwatch (0.6-1) unstable; urgency=low

  * New upstream release.
  * Change my maintainer e-mail address to <sjoerd@debian.org>

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Jun 2001 21:59:06 +0200

gkrellm-mailwatch (0.5b-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@air.luon.net>  Mon,  7 May 2001 14:51:09 +0200

gkrellm-mailwatch (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Sjoerd Simons <sjoerd@air.luon.net>  Fri, 13 Apr 2001 14:22:38 +0200

gkrellm-mailwatch (0.4-1) unstable; urgency=low

  * Initial Release. (closes: Bug#78648)
  * Sponsored by An Thi-Nguyen Le <anle@ews.uiuc.edu>

 -- Sjoerd Simons <sjoerd@luon.net>  Thu, 21 Dec 2000 20:05:39 +0100

=== debian/control ===
Source: gkrellm-mailwatch
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
    gkrellm,
    libgtk2.0-dev,
Priority: optional
Rules-Requires-Root: no
Section: mail

Package: gkrellm-mailwatch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    gkrellm,
Description: GKrellM plugin to watch mailboxes in multiple panels
 A GKrellM plugin to monitor mbox, maildir and MH style mailboxes in
 multiple gkrellm panels.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export enable_nls = 1
export PLUGIN_DIR = /usr/lib/gkrellm2/plugins

%:
	dh $@
